FullWrtStruct::ZoneHeader Struct Reference documentation

Public Member Functions | Public Attributes | Friends | List of all members
FullWrtStruct::ZoneHeader Struct Reference

a structure used to store the data of a zone header in a FullWrite file More...

`#include <FullWrtStruct.hxx>`

Inheritance diagram for FullWrtStruct::ZoneHeader:

## Public Member Functions
| ZoneHeader ()
| constructor More...
virtual | ~ZoneHeader ()
| destructor More...
bool | read (std::shared_ptr< FullWrtStruct::Entry > zone)
| try to read the data header of a classical zone More...

## Public Attributes
int | m_type
| the zone type More...
int | m_docId
| the doc id More...
int | m_fileId
| the file id More...
int | m_wrapping
| the wrapping type More...
std::string | m_extra
| some extra data More...

## Friends
std::ostream & | operator<< (std::ostream &o, ZoneHeader const &dt)
| the operator<< More...

## Detailed Description

a structure used to store the data of a zone header in a FullWrite file

## Constructor & Destructor Documentation

## ◆ ZoneHeader()

FullWrtStruct::ZoneHeader::ZoneHeader | ( |  | ) |
| inline

constructor

## ◆ ~ZoneHeader()

FullWrtStruct::ZoneHeader::~ZoneHeader | ( |  | ) |
| virtual

destructor

## Member Function Documentation

## ◆ read()

bool FullWrtStruct::ZoneHeader::read | ( | std::shared_ptr< FullWrtStruct::Entry > | zone | ) |

try to read the data header of a classical zone

Referenced by FullWrtParser::readDocZoneData(), FullWrtParser::readGenericDocData(), and FullWrtGraph::readGraphicData().

## Friends And Related Function Documentation

## ◆ operator<<

std::ostream& operator<< | ( | std::ostream & | o,
|  | ZoneHeader const & | dt
| ) |  |
| friend

the operator<<

## Member Data Documentation

## ◆ m_docId

int FullWrtStruct::ZoneHeader::m_docId

the doc id

Referenced by FullWrtStruct::operator<<(), read(), and FullWrtParser::readDocZoneData().

## ◆ m_extra

std::string FullWrtStruct::ZoneHeader::m_extra

some extra data

Referenced by FullWrtStruct::operator<<(), and read().

## ◆ m_fileId

int FullWrtStruct::ZoneHeader::m_fileId

the file id

Referenced by FullWrtStruct::operator<<(), read(), and FullWrtGraph::sendSideBar().

## ◆ m_type

int FullWrtStruct::ZoneHeader::m_type

the zone type

Referenced by FullWrtStruct::operator<<(), read(), FullWrtParser::readDocZoneData(), FullWrtParser::readGenericDocData(), FullWrtGraph::readGraphicData(), and FullWrtGraph::readSideBar().

## ◆ m_wrapping

int FullWrtStruct::ZoneHeader::m_wrapping

the wrapping type

Referenced by FullWrtStruct::operator<<(), read(), and FullWrtGraph::sendSideBar().

The documentation for this struct was generated from the following files:

- FullWrtStruct.hxx
- FullWrtStruct.cxx